angular.module('starter.services', [])

.factory('CommonCode', function ($window, $ionicPopup) {
    var root = {};
    root.alertError = function(msg){
        var alertPopup = $ionicPopup.alert({
          title: 'ERROR',
          template: msg,
          cssClass: 'error',
        });
    };
    root.alertSuccess = function(msg){
        var alertPopup = $ionicPopup.alert({
          title: 'SUCCESS',
          template: msg,
          cssClass: 'success',
        });
    };
    return root;
})

.factory('Filter', function () {
    return { radius: '', business_type_id: ''};
})

.service('orderInfo', function() {

})

.factory('Order', function($http) {
    return {
      sendEmail: function(UserID, ListingID) {
        var formInfo = {user_id: UserID, listing_id: ListingID};
          
        $http.post('https://www.potlocator.com/api/sendOrderEmail', formInfo);
      }
    };
})

//replace practice image if no image
.directive('errSrc', function() {
  return {
    link: function(scope, element, attrs) {
      element.bind('error', function() {
        if (attrs.src != attrs.errSrc) {
          attrs.$set('src', attrs.errSrc);
        }
      });
    }
  };
});